Bug 253047 - Does not build on Fedora 8 - Update license to GPLv2 with exceptions
Summary: Does not build on Fedora 8 - Update license to GPLv2 with exceptions
Status: CLOSED ERRATA
Alias: None
Product: 389
Classification: Retired
Component: Directory Server   
(Show other bugs)
Version: 1.1.0beta
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-08-16 18:49 UTC by Rich Megginson
Modified: 2015-01-04 23:28 UTC (History)
1 user (show)

Fixed In Version: 1.1.0-1.2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-17 16:15:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diffs (9.49 KB, patch)
2007-08-16 18:49 UTC, Rich Megginson
no flags Details | Diff
cvs commit log (559 bytes, text/plain)
2007-08-16 20:07 UTC, Rich Megginson
no flags Details
cvs commit log - fedora extras, spec files, new sources (1.19 KB, text/plain)
2007-08-16 20:29 UTC, Rich Megginson
no flags Details

Description Rich Megginson 2007-08-16 18:49:45 UTC
There are two problems:
1) mock does not find BuildRequires: db4-devel >= 4.2.52
2) Several open() calls cause build failures

Comment 1 Rich Megginson 2007-08-16 18:49:45 UTC
Created attachment 161673 [details]
diffs

Comment 2 Rich Megginson 2007-08-16 20:07:16 UTC
Created attachment 161681 [details]
cvs commit log

Fix Description: If using the O_CREAT flag with open(), the file mode must also
be given.  Also, the bdb calls to use ->open() must use parentheses around the
function pointer access e.g. (DB->open)(args...) instead of just
DB->open(args).
Platforms tested: RHEL4, Fedora 8
Flag Day: no
Doc impact: no

Comment 3 Rich Megginson 2007-08-16 20:29:13 UTC
Created attachment 161686 [details]
cvs commit log - fedora extras, spec files, new sources

Resolves: bug 253047
Bug Description: Does not build on Fedora 8
Fix Description: If using the O_CREAT flag with open(), the file mode must also
be given.  Also, the bdb calls to use ->open() must use parentheses around the
function pointer access e.g. (DB->open)(args...) instead of just
DB->open(args).
On F-8 (devel), use BuildRequires: db4-devel instead of >= version.
Updated License fields in spec files to be GPLv2 with exceptions
Platforms tested: RHEL4, Fedora 8
Flag Day: no
Doc impact: no

Comment 4 Rich Megginson 2007-08-16 20:30:11 UTC
The Fedora Directory Server License is now here:
http://fedoraproject.org/wiki/Licensing


Comment 5 Fedora Update System 2007-08-17 16:15:13 UTC
fedora-ds-base-1.1.0-1.2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.